module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 4);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),
/* 1 */
/***/ (function(module, exports) {

module.exports = require("react-fela");

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var PreferenceIconPanel_1 = __webpack_require__(5);
exports.PreferenceIconPanel = PreferenceIconPanel_1.default;


/***/ }),
/* 3 */
/***/ (function(module, exports) {

module.exports = require("react-redux");

/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(2));
__export(__webpack_require__(12));


/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(0);
const react_fela_1 = __webpack_require__(1);
const Icon_1 = __webpack_require__(6);
const react_dd_menu_1 = __webpack_require__(7);
const ColorTheme_1 = __webpack_require__(8);
__webpack_require__(11);
class PreferenceIconPanel extends React.Component {
    constructor(props) {
        super(props);
        this.onCloseMenu = () => {
            this.setState({ isMenuOpen: false });
        };
        this.onMenuOpen = () => {
            this.setState({ isMenuOpen: true });
        };
        this.openColorThemes = () => {
            this.setState({ isColorThemesOpen: true });
        };
        this.openSettings = () => {
            this.props.openSettings();
        };
        this.onColorThemesClose = () => {
            this.setState({ isColorThemesOpen: false });
        };
        this.renderColorThemes = () => {
            if (this.state.isColorThemesOpen) {
                return (React.createElement(ColorTheme_1.default, { close: () => this.onColorThemesClose() }));
            }
            else {
                return null;
            }
        };
        this.state = {
            isMenuOpen: false,
            isColorThemesOpen: false,
        };
    }
    render() {
        const { icon, styles } = this.props;
        const menuOptions = {
            isOpen: this.state.isMenuOpen,
            close: () => this.onCloseMenu(),
            toggle: React.createElement(Icon_1.default, { onClick: this.onMenuOpen, active: this.state.isMenuOpen, style: icon.style }),
            align: 'left',
            upwards: true,
            animate: false,
        };
        return (React.createElement("div", { className: styles.container },
            React.createElement(react_dd_menu_1.default, Object.assign({}, menuOptions),
                React.createElement("li", null,
                    React.createElement("a", { href: "#" }, "Command Palette...")),
                React.createElement("li", { role: "separator", className: "separator" }),
                React.createElement("li", null,
                    React.createElement("a", { onClick: this.openSettings }, "Settings")),
                React.createElement("li", { role: "separator", className: "separator" }),
                React.createElement("li", null,
                    React.createElement("a", { onClick: this.openColorThemes }, "Color Theme")),
                React.createElement("li", { role: "separator", className: "separator" }),
                React.createElement("li", null,
                    React.createElement("a", { href: "#" }, "Check for Updates..."))),
            this.renderColorThemes()));
    }
}
PreferenceIconPanel.defaultProps = {
    icon: {
        style: {
            WebkitMask: `url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='32' height='32'%3E%3Cpath d='M21.521,10.146c-0.41-0.059-0.846-0.428-0.973-0.82l-0.609-1.481  c-0.191-0.365-0.146-0.935,0.1-1.264l0.99-1.318c0.246-0.33,0.227-0.854-0.047-1.162l-1.084-1.086  c-0.309-0.272-0.832-0.293-1.164-0.045l-1.316,0.988c-0.33,0.248-0.898,0.293-1.264,0.101l-1.48-0.609  c-0.395-0.126-0.764-0.562-0.82-0.971l-0.234-1.629c-0.057-0.409-0.441-0.778-0.85-0.822c0,0-0.255-0.026-0.77-0.026  c-0.514,0-0.769,0.026-0.769,0.026c-0.41,0.044-0.794,0.413-0.852,0.822l-0.233,1.629c-0.058,0.409-0.427,0.845-0.82,0.971  l-1.48,0.609C7.48,4.25,6.912,4.206,6.582,3.958L5.264,2.969c-0.33-0.248-0.854-0.228-1.163,0.045L3.017,4.1  C2.745,4.409,2.723,4.932,2.971,5.262l0.988,1.318C4.208,6.91,4.252,7.479,4.061,7.844L3.45,9.326  c-0.125,0.393-0.562,0.762-0.971,0.82L0.85,10.377c-0.408,0.059-0.777,0.442-0.82,0.853c0,0-0.027,0.255-0.027,0.77  s0.027,0.77,0.027,0.77c0.043,0.411,0.412,0.793,0.82,0.852l1.629,0.232c0.408,0.059,0.846,0.428,0.971,0.82l0.611,1.48  c0.191,0.365,0.146,0.936-0.102,1.264l-0.988,1.318c-0.248,0.33-0.308,0.779-0.132,0.994c0.175,0.217,0.677,0.752,0.678,0.754  s0.171,0.156,0.375,0.344s1.042,0.449,1.372,0.203l1.317-0.99c0.33-0.246,0.898-0.293,1.264-0.1l1.48,0.609  c0.394,0.125,0.763,0.562,0.82,0.971l0.233,1.629c0.058,0.408,0.441,0.779,0.852,0.822c0,0,0.255,0.027,0.769,0.027  c0.515,0,0.77-0.027,0.77-0.027c0.409-0.043,0.793-0.414,0.85-0.822l0.234-1.629c0.057-0.408,0.426-0.846,0.82-0.971l1.48-0.611  c0.365-0.191,0.934-0.146,1.264,0.102l1.318,0.99c0.332,0.246,0.854,0.227,1.164-0.047l1.082-1.084  c0.273-0.311,0.293-0.834,0.047-1.164l-0.99-1.318c-0.246-0.328-0.291-0.898-0.1-1.264l0.609-1.48  c0.127-0.393,0.562-0.762,0.973-0.82l1.627-0.232c0.41-0.059,0.779-0.441,0.822-0.852c0,0,0.027-0.255,0.027-0.77  s-0.027-0.77-0.027-0.77c-0.043-0.41-0.412-0.794-0.822-0.853L21.521,10.146z M12,15C10.343,15,9,13.656,9,12  C9,10.343,10.343,9,12,9c1.657,0,3,1.344,3,3C15,13.656,13.656,15,12,15z' fill='%23fff'/%3E%3C/svg%3E") no-repeat 60% 100%`
        },
        name: 'settings',
    },
};
exports.default = react_fela_1.connect({
    container: ({ direction }) => ({
        position: 'absolute',
        bottom: '30px',
        display: 'flex',
        alignItems: 'flex-end',
        flexDirection: 'column-reverse',
        width: '50px',
        height: '50px',
    }),
})(PreferenceIconPanel);


/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(0);
const react_fela_1 = __webpack_require__(1);
class Icon extends React.PureComponent {
    render() {
        const { disabled, image, style, styles, tooltip, onClick } = this.props;
        return (React.createElement("button", { disabled: disabled, className: styles.anchor, style: style, onClick: onClick }));
    }
}
exports.default = react_fela_1.connect({
    anchor: ({ active }) => ({
        display: 'flex',
        overflow: 'hidden',
        height: '40px',
        lineHeight: '40px',
        marginRight: '0',
        padding: '0 0 0 50px',
        margin: 0,
        fontSize: '15px',
        cursor: 'pointer',
        backgroundColor: active ? 'rgb(255, 255, 255)' : 'rgb(180, 180, 180)',
        '&:hover': {
            backgroundColor: 'rgb(255, 255, 255)',
        },
    }),
})(Icon);


/***/ }),
/* 7 */
/***/ (function(module, exports) {

module.exports = require("react-dd-menu");

/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const React = __webpack_require__(0);
const { compose } = __webpack_require__(9);
const react_redux_1 = __webpack_require__(3);
const react_fela_1 = __webpack_require__(1);
const client_theme_redux_1 = __webpack_require__(10);
class ColorTheme extends React.Component {
    handleTheme(e) {
        const themeName = e.target.value;
        this.props.setTheme(themeName);
    }
    handleLeave() {
        this.props.close();
    }
    render() {
        const { currentTheme, styles } = this.props;
        let themeName = currentTheme ? currentTheme.name : '';
        return (React.createElement("select", { className: styles.select, value: themeName, onChange: (e) => this.handleTheme(e), onBlur: () => this.handleLeave() }, client_theme_redux_1.THEMES && client_theme_redux_1.THEMES.map((theme, i) => (React.createElement("option", { key: i, value: theme.name }, theme.text)))));
    }
}
exports.ColorTheme = ColorTheme;
exports.default = compose(...[
    react_redux_1.connect((state) => ({
        currentTheme: state.theme,
    }), dispatch => ({
        setTheme: (themeName) => dispatch(client_theme_redux_1.setTheme(themeName)),
    })),
    react_fela_1.connect({
        select: ({ currentTheme }) => (Object.assign({ position: 'fixed', top: '10px', left: 'calc(50% - 120px)', fontSize: '12px', height: '24px', width: '240px', zIndex: 1 }, client_theme_redux_1.getSelectColor(currentTheme))),
    }),
])(ColorTheme);


/***/ }),
/* 9 */
/***/ (function(module, exports) {

module.exports = require("redux");

/***/ }),
/* 10 */
/***/ (function(module, exports) {

module.exports = require("@workbench-stack/client-theme-redux");

/***/ }),
/* 11 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 12 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var PreferenceIconPanel_1 = __webpack_require__(13);
exports.PreferenceIconPanelEnhanced = PreferenceIconPanel_1.default;


/***/ }),
/* 13 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const react_redux_1 = __webpack_require__(3);
const components_1 = __webpack_require__(2);
const preferences_client_redux_1 = __webpack_require__(14);
const mapStateToProps = (state) => ({});
const mapDispatchToProps = dispatch => ({
    openSettings: () => dispatch(preferences_client_redux_1.openSettingsAction()),
});
const PreferenceIconPanelEnhanced = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(components_1.PreferenceIconPanel);
exports.default = PreferenceIconPanelEnhanced;


/***/ }),
/* 14 */
/***/ (function(module, exports) {

module.exports = require("@workbench-stack/preferences-client-redux");

/***/ })
/******/ ]);
//# sourceMappingURL=index.js.map